nxmlsurfacereader.h File Reference

Deals with parsing XML data for normal surface lists. More...

`#include "regina-core.h"`
`#include "packet/nxmlpacketreader.h"`
`#include "surfaces/nnormalsurfacelist.h"`

## Classes

class | regina::NXMLNormalSurfaceReader
| An XML element reader that reads a single normal surface. More...
class | regina::NXMLNormalSurfaceListReader
| An XML packet reader that reads a single normal surface list. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Deals with parsing XML data for normal surface lists.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).